# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(DateTimeX/Easy/DateParse.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-DateTimeX-Easy
Version:    0.089
Release:    alt1_5
# see lib/DateTimeX/Easy.pm
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Parse a date/time string using the best method available
Source:     http://search.cpan.org/CPAN/authors/id/R/RO/ROKR/DateTimeX-Easy-%{version}.tar.gz
Url:        http://search.cpan.org/dist/DateTimeX-Easy
BuildArch:  noarch

BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Date/Parse.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Format/Flexible.pm)
BuildRequires:  perl(DateTime/Format/Natural.pm)
BuildRequires:  perl(DateTime/TimeZone.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Time/Zone.pm)
# Optional run-time
# perl(DateTime::Format::DateManip) has been made optional due to instability
BuildRequires:  perl(DateTime/Format/ICal.pm)
# Test only
BuildRequires:  perl(Test/Most.pm)

# Do not export dependency on private module

Source44: import.info
%filter_from_requires /^^perl\\(DateTimeX::Easy::DateParse\\)/d

%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n DateTimeX-Easy-%{version}
# Remove bundled modules
rm -rf inc

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.089-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.089-alt1_4
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.089-alt1_2
- fc import

